<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    
    <meta property="og:type" content="article">
    <meta property="og:title" content="My css">
    <meta property="og:image" content="https://i.ibb.co/cLmFrWM/vista-previa-my-css2.png">
    <meta property="og:description" content="Este es un ejemplo de como se puede parametrizar estilos usando css.">
    <meta property="og:url" content="http://saulsm.epizy.com/my-css" />
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>My theme css</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="styles.css">
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body class="variables color-fondo color-texto">
        <div style="top: 20px; right: 10px; position: fixed; font-weight: bold">
            By Saúl SM 
        <a href="../" class="link-home"><i class="fa fa-home"></i></a></div>
    <h1 style="text-align: center" class="primary">MY CSS</h1>
    <div id="app">
        <h2>Parametros</h2>
            <form @submit="submit($event)" @change="change()">
                    <div class="row">
                        <div class="col-md-4">
                            <label>texto</label>
                            <input type="color" name="default" v-model="texto">
                        </div>
                        <div class="col-md-4">
                            <label>default</label>
                            <input type="color" name="default" v-model="default2">
                        </div>
                        <div class="col-md-4">
                            <label>primary</label>
                            <input type="color" name="primary" v-model="primary">
                        </div>
                        <div class="col-md-4">
                            <label>success</label>
                            <input type="color" name="success" v-model="success">
                        </div>
                        <div class="col-md-4">
                            <label>warning</label>
                            <input type="color" name="warning" v-model="warning">
                        </div>
                        <div class="col-md-4">
                            <label>danger</label>
                            <input type="color" name="danger" v-model="danger">
                        </div>
                        <div class="col-md-4">
                            <label>activo</label>
                            <input type="color" name="activo" v-model="activo">
                        </div>
                        <div class="col-md-4">
                            <label>Background</label>
                            <input type="color" name="fondo" v-model="fondo">
                        </div>
                    </div>
                </form>
    </div>    

    <h1 class="text-primary">Login</h1>
    <div class="row">

        <div class="col-md-4">
        </div>
        <div class="col-md-4">
            <div class="card borde-redondo">
                <h2>Login</h2>
                <hr>                
                    <div class="margen-16">
                        <label>Usuario</label>
                        <input type="text" name="user" required>                    
                    </div>
                    <div class="margen-16">
                        <label>Contraseña</label>
                        <input name="password" required type="password">
                    </div>                   
                <button class="boton primary ancho-100 borde-redondo">Entrar</button>
            </div>         
        </div>
        <div class="col-md-4">
        </div>
    </div>
    
    <h1 class="text-primary">Themas</h1>
    <div class="caja default">
        tema deafult
    </div>    
    <div class="caja primary">
        tema primario
    </div> 
    <div class="caja success">
        tema success
    </div> 
    <div class="caja warning">
        tema warning
    </div> 
    <div class="caja danger">
        tema danger
    </div> 
    <h1 class="text-primary">Botones</h1>
    <button class="boton">Boton</button>    
    <button class="boton primary">Boton</button>
    <button class="boton success">Boton</button>
    <button class="boton warning">Boton</button>
    <button class="boton danger">Boton</button>
    <h1 class="text-primary">Formulario</h1>    
    <div class="row">
        <div class="col-md-6">
            <label>Input</label>
            <input type="text">
        </div>
        <div class="col-md-6">
            <label>Input</label>
            <input type="text" required>
        </div>

        <div class="col-md-6">
            <label>Input</label>
            <select required value="">
                <option value="valor" disabled>Valor</option>
                <option value="valor" class="danger">Valor</option>
            </select>
        </div>
        <div class="col-md-12">
                <label>Textarea</label>
                <textarea></textarea>
        </div>
        <div class="col-md-12">
            <label>checkbox</label>
            <input type="checkbox" required>
        </div>            
    </div>
    <h1 class="text-primary">Barras de titulo</h1>    
    <div class="nav primary">
        <ul>
            <li>
                <a>Item1</a>
            </li>
            <li class="derecha">
                <a>Item2 <i class="fa fa-circle-o-notch rotar"></i></a>
            </li>
        </ul>
    </div>
    <h1 class="text-primary">Breadcrumbs</h1>    
    <ul class="breadcrumb">
        <li class="text-normal"><a href="#">Home</a></li>
        <li class="text-normal"><a href="#">Pictures</a></li>
        <li class="text-normal"><a href="#">Summer 15</a></li>
        <li>Italy</li>
      </ul>
    <h1 class="text-primary">Card</h1>
    <div class="row">
        <div class="col-md-4">
            <div class="card">
                <h2>Titulo</h2>
                <hr>
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Illo exercitationem, atque maiores dolores aperiam dolor dolorem voluptatem reiciendis facere, similique ea architecto sed aliquid? Consequatur impedit ut beatae ullam aperiam?
                </p>
                <button class="boton primary ancho-100">Ver</button>
            </div>         
        </div>

        <div class="col-md-4">
                <div class="card">
                    <h2>Titulo 2</h2>
                    <hr>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Illo exercitationem, atque maiores dolores aperiam dolor dolorem voluptatem reiciendis facere, similique ea architecto sed aliquid? Consequatur impedit ut beatae ullam aperiam?
                    </p>
                    <button class="boton primary ancho-100">Ver</button>
                </div>         
            </div>
        
            <div class="col-md-4">
                <div class="card borde-redondo">
                    <h2>Titulo 3</h2>
                    <hr>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Illo exercitationem, atque maiores dolores aperiam dolor dolorem voluptatem reiciendis facere, similique ea architecto sed aliquid? Consequatur impedit ut beatae ullam aperiam?
                    </p>
                    <button class="boton primary ancho-100 borde-redondo">Ver</button>
                </div>         
            </div>

            <div class="col-md-12">
                <div class="card borde-redondo">
                    <h2>Titulo 3</h2>
                    <hr>
                    <img style="width: 100px;" src="img/avatar.png" class="circulo">
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Illo exercitationem, atque maiores dolores aperiam dolor dolorem voluptatem reiciendis facere, similique ea architecto sed aliquid? Consequatur impedit ut beatae ullam aperiam?
                    </p>
                    <button class="boton primary ancho-100 borde-redondo">Ver</button>
                </div>         
            </div>
    </div>
    <h1 class="text-primary">Texto</h1>
    <p>
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Consequuntur voluptatum cupiditate itaque quaerat alias quas asperiores exercitationem, soluta quo, iste facere pariatur officia autem hic consequatur minima ratione sunt at!
    </p>
    <p class="text-primary">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Nesciunt culpa voluptatibus, explicabo fugit magni asperiores illo, pariatur similique magnam dolor eaque obcaecati rem iste nulla fugiat a aspernatur sit atque.
    </p>
    <p class="text-success">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Accusamus odio, laudantium nobis voluptatem facilis consequuntur hic aliquam eum, laborum doloremque quod fugit porro beatae corrupti? Iste officia maiores laudantium illum!
    </p>
    <p class="text-warning">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Suscipit nostrum quasi quibusdam nisi soluta architecto, fugiat voluptatum dolor sint facilis est iste deserunt minus at dolorum? Velit voluptatibus fugiat non?
    </p>
    <p class="text-danger">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Sint deserunt aliquid, dolorum officia, voluptates veritatis, quis quaerat beatae veniam dicta ducimus nesciunt laborum tenetur quam fugit nisi molestias! Expedita, accusantium?
    </p>
    <h1 class="text-primary">Paginadores</h1>
    <div class="paginador">
        <ul>
            <li>
                <a class="borde circulo">
                    <i class="fa fa-angle-double-left"></i>
                </a>
            </li>
            <li>
                <a class="borde circulo">1</a>                
            </li>
            <li>
                <a class="activo circulo">2</a>                
            </li>
            <li>
                <a class="borde circulo">3</a>                
            </li>
            <li>
                <a class="borde circulo">
                    <i class="fa fa-angle-double-right"></i>
                </a>
            </li>
        </ul>
    </div> 
    <br>
    <div class="paginador">
        <ul>
            <li>
                <a class="borde">
                    <i class="fa fa-angle-double-left"></i>
                </a>
            </li>
            <li>
                <a class="borde">1</a>                
            </li>
            <li>
                <a class="activo borde">2</a>                
            </li>
            <li>
                <a class="borde ">3</a>                
            </li>
            <li>
                <a class="borde ">
                    <i class="fa fa-angle-double-right"></i>
                </a>
            </li>
        </ul>
    </div>
    <br>
    <div class="paginador">
        <ul>
            <li>
                <a class="circulo">
                    <i class="fa fa-angle-double-left"></i>
                </a>
            </li>
            <li>
                <a class="circulo">1</a>                
            </li>
            <li>
                <a class="activo circulo">2</a>                
            </li>
            <li>
                <a class="circulo">3</a>                
            </li>
            <li>
                <a class="circulo">
                    <i class="fa fa-angle-double-right"></i>
                </a>
            </li>
        </ul>
    </div> 
    <br>
    <div class="paginador">
        <select name="" id="">
            <option value="5">5</option>
            <option value="10">10</option>
            <option value="25">25</option>
            <option value="50">50</option>
            <option value="100">100</option>
        </select>
        Filas por página
        <button class="boton borde-redondo"><i class="fa fa-angle-double-left"></i></button>
        Página actual
        <select name="" id="">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>                
        </select>
        <button class="boton borde-redondo"><i class="fa fa-angle-double-right"></i></button>      

    </div>
    <h1 class="text-primary">Listas</h1>
    <div class="lista">
        <ul>
            <li>                
                <div class="contenido">
                    <img src="./img/homer.jpg" width="200px;" class="circulo">  
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis saepe reprehenderit reiciendis assumenda excepturi provident doloremque eum eaque porro. Numquam est dolores facere aliquid asperiores ab voluptate impedit a esse!</p>
                </div>                
                <div class="acciones">
                    <button class="boton success borde-redondo">
                        <i class="fa fa-edit"></i>
                    </button>
                    <button class="boton danger borde-redondo">
                        <i class="fa fa-trash"></i>
                    </button>
                </div>
                <div class="separador-lista"></div>                
            </li>
            <li>                
                <div class="contenido">
                    <img src="./img/homer.jpg" width="200px;" class="circulo">  
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis saepe reprehenderit reiciendis assumenda excepturi provident doloremque eum eaque porro. Numquam est dolores facere aliquid asperiores ab voluptate impedit a esse!</p>
                </div>
                <div class="acciones">
                    <button class="boton success borde-redondo">
                        <i class="fa fa-edit"></i>
                    </button>
                    <button class="boton danger borde-redondo">
                        <i class="fa fa-trash"></i>
                    </button>
                </div>                
            </li>
        </ul>
    </div>
    <div class="paginador" style="text-align: right">        
            <select name="" id="">
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select>
            Filas por página
            <button class="boton borde-redondo"><i class="fa fa-angle-double-left"></i></button>
            Página actual
            <select name="" id="">
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>                
            </select>
            <button class="boton borde-redondo"><i class="fa fa-angle-double-right"></i></button>      
    
    </div>
    <script src="./main.js"></script>
</body>
</html>